<template>
  <v-container fill-height fluid>
    <v-row class="center-row">
      <h2 v-if="listNotEmpty" style="text-align: center">
        Wybierz osobę z którą chcesz porozmawiać ...
      </h2>
      <h2 v-else style="text-align: center">
        Lista znajomych jest pusta. Wyszukać osobę w zakładce 
        <u @click="goToSearch">"szukaj miłości"</u>
        i do niej zamachaj. 
      </h2>
    </v-row>
    <v-row align="center" justify="center">
      <v-col class="center">
        <v-icon x-large class="pulse">mdi-email-open-heart-outline</v-icon>
      </v-col>
    </v-row>
  </v-container>
</template>
<script>
export default {
  name: "NoPersonSelected",
  props: {
    listNotEmpty: {
      type: Boolean,
      required: true,
    },
  },
  methods: {
    goToSearch() {
        this.$bus.$emit('menu-item', {title: 'Szukaj miłości'})
    }
  }
};
</script>
<style scoped>
h2 {
  color: rgba(0, 0, 0, 0.6);
}
.center {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  align-items: center;
}
.center-row {
  justify-content: center;
}

u {
    cursor: pointer;
}
.pulse {
  animation: pulse 2s infinite;
  width: 3px;
  height: 3px;
  border-radius: 50%;
  background: rgba(0, 0, 0, 0.6);
}
@keyframes pulse {
  0% {
    transform: scale(0.95);
    box-shadow: 0 0 0 0 rgba(0, 0, 0, 0.7);
  }

  70% {
    transform: scale(1);
    box-shadow: 0 0 0 10px rgba(0, 0, 0, 0);
  }

  100% {
    transform: scale(0.95);
    box-shadow: 0 0 0 0 rgba(0, 0, 0, 0);
  }
}
</style>
